Summary:  ext2resize - allows resizing ext2 filesystems
Name:     ext2resize
Version:  1.1.17
Release:  1m
Group:    System Environment/Base
License:  GPL
Source0:  http://ext2resize.sourceforge.net/%name-%version.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%changelog
* Fri Mar 28 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.1.17-1m)
  imported

%description
GNU ext2resize is a package which allows resizing ext2 filesystems (both
shrinking and growing). 
The ext2resize tool is for resizing unmounted filesystems, and ext2online is
for growing a mounted filesystem (it needs a kernel patch to work, however).

The ext2resize tools are included in quite a few distributions, including
Red Hat 6.1 (on the powertools CD) and the Debian "Woody" release.

Please note that like any program that messes with your hard disk, this
program has the possibility to totally destroy your disk, or even turn it
into a sperm whale.
There is NO WARRANTY for this program! See the GPL for the rest of the story.

Having said that, there have not been any reports of data-corrupting errors
in either the offline or online resizing tools (at least not as far as I can
remember).

%prep
%setup -q

%build
%define _sbindir /sbin
%configure
make

%install
rm -rf %{buildroot}

%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sbindir}/ext2online
%{_sbindir}/ext2prepare
%{_sbindir}/ext2resize
%{_mandir}/man8/ext2online.8*
%{_mandir}/man8/ext2prepare.8*
%{_mandir}/man8/ext2resize.8*
